Subject: Re: libvirt-daemon-system should not depend on policykit-1

From: "Thierry B." <[email-masked]>
Date: Fri, 14 Aug 2020 13:47:55 +0200

Le 13/08/2020 à 15:17, Mark Hindley a écrit :

> 
> The Devuan maintainers guide is at
> 
>  https://git.devuan.org/devuan/documentation/src/branch/master/maintainers
>  
> I would be happy to guide you through the process. The good news is that you
> don't have to do each architecture separately as the production build process
> takes care of that.
> 
> Devuan is relatively short of person-power to fork new packages, so it may well
> be a while before anybody feels able to take anything extra on. And it is better
> to have somebody maintaining who actually makes use of the package.
> 
> Best wishes
> 
> Mark
> 

I give it a try to see if if it is something I can handle. I followed
the guide in your link on a new Devuan ceres virtual machine and even I
do not understand about nearly 75% of stuff inside the guide I am used
to git.

Now i am stuck at section #5 "Local build" in "Packaging Workﬂow" ->
https://pastebin.com/Yrn3j7Ux

I did all the steps before excepting this :

So far the guide says nothing about build dependencies. After some
researches I did:

$ sudo mk-build-deps -i
$ sudo apt install ./libvirt-build-deps_6.5.0-1+devuan1_amd64.deb

I also get the sources with "apt source" and I noticed one difference.
There is a "debian/gbp.conf" in git repository that I do not see in
debian sources. I changed "pristine-tar" to "false" as indicated in the
guide but as we can see in pastebin this file seems to be ignored:
> (dpkg-source: info: using options from libvirt/debian/source/options: --tar--ignore=debian/gbp.conf)

Also in "debian/control" section I did not found a source stanza
"Origin" in "debian/control"